View Issue Details

IDProjectCategoryView StatusLast Update
0018243LazarusLCLpublic2011-01-26 02:14
ReportercobinesAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux i386OSDebianOS VersionSid
Product Version0.9.29 (SVN)Product Build28739 
Target Version0.9.30Fixed in Version0.9.31 (SVN) 
Summary0018243: Top row gets hidden under header in TCustomGrid with Flat=True
Description1. Run attached application.
2. Press Down key until you see "Last" row at the bottom.
3. Press Up key until you see "First" row at the top. You actually cannot get to the "First" row again.

While you're moving the focus rect up in pt.3 notice that when the top visible cell (not header) is focused and you press Up the focus rect "dissappears" under the header.

With Flat=False the bug doesn't exist.
Tagsmerge to 0.9.30
Fixed in Revision29202
LazTarget0.9.30
WidgetsetGTK 2, QT
Attached Files

Activities

2010-12-17 17:40

 

grid_flat_top_row_example.tar.bz2 (1,922 bytes)

Tomasz Wieckowski

2010-12-17 19:24

reporter   ~0044304

It's probably related, I see another bug:
1. run app.
2. press "down" (go to second row)
3. scrollbar - scroll by "half" a row down (hide about a half first row)
4. press "up"

cobines

2011-01-17 19:48

reporter   ~0045266

It's a regression introduced in rev. 28645 while fixing issue 0016102.

Jesus Reyes

2011-01-17 20:11

developer   ~0045267

suspected regression

Zeljan Rikalo

2011-01-18 11:01

developer   ~0045276

Yes, I confirm that this is an regression.

Jesus Reyes

2011-01-25 20:50

developer   ~0045474

please test

cobines

2011-01-26 02:14

reporter   ~0045478

Thanks! It is fixed.

Issue History

Date Modified Username Field Change
2010-12-17 17:40 cobines New Issue
2010-12-17 17:40 cobines File Added: grid_flat_top_row_example.tar.bz2
2010-12-17 17:40 cobines Widgetset => GTK 2, QT
2010-12-17 19:24 Tomasz Wieckowski Note Added: 0044304
2010-12-18 19:10 Jesus Reyes Status new => assigned
2010-12-18 19:10 Jesus Reyes Assigned To => Jesus Reyes
2011-01-17 19:48 cobines Note Added: 0045266
2011-01-17 20:11 Jesus Reyes LazTarget => 0.9.30
2011-01-17 20:11 Jesus Reyes Note Added: 0045267
2011-01-17 20:11 Jesus Reyes Target Version => 0.9.30
2011-01-18 11:01 Zeljan Rikalo Note Added: 0045276
2011-01-25 20:50 Jesus Reyes Fixed in Revision => 29202
2011-01-25 20:50 Jesus Reyes Status assigned => resolved
2011-01-25 20:50 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2011-01-25 20:50 Jesus Reyes Resolution open => fixed
2011-01-25 20:50 Jesus Reyes Note Added: 0045474
2011-01-25 21:06 Vincent Snijders Tag Attached: merge to 0.9.30
2011-01-26 02:14 cobines Status resolved => closed
2011-01-26 02:14 cobines Note Added: 0045478